set(header_files
    ./include/CycleDetect.h
    ./include/SparsePairGraph.h
    ./include/Types.h
    ./include/Functions.h
    ./include/DuplicationEventHolder.h
    ./include/DuplicationEventHolderBase.h
    ./include/PairedDuplicationEventHolder3.h
    ./include/InversionEventHolder.h
    ./include/EventHolderBase.h
    ./include/MixedCycleFinder.h
    ./include/GeneTree.h
)

set(sources
    ./source/IlpMedian.C
    ./source/SparsePairGraph.C
    ./source/DuplicationEventHolder.C
    ./source/PairedDuplicationEventHolder3.C
    ./source/DuplicationEventHolderBase.C
    ./source/InversionEventHolder.C
    ./source/Subtour.C
    ./source/MixedCycleFinder.C
    ${header_files}
    )
